# List embedded payments locations

Retrieve the list of location IDs attached to a Tyro Merchant ID. A location ID represents the physical location from which a payment originates and is required in order to create the Reader

Endpoint: GET /tap-to-pay/merchants/{merchantId}/locations
Version: 1.0
Security: JWT

## Path parameters:

  - `merchantId` (string, required)
    The Merchant ID requesting the locations
    Example: 98765

## Header parameters:

  - `Authorization` (string, required)

## Response 200 fields (application/json):

  - `results` (array, required)
    The results for the locations for the provided merchant ID

  - `results.locationId` (string, required)
    The ID of the location as specified by the Tyro Connect system
    Example: "tc-exampleshop-3000"

  - `results.name` (string, required)
    The name of the location, this could be a description or address for the location
    Example: "Example Shop Melbourne"

  - `results.address` (object)
    The address of the location

  - `results.address.street` (string)
    The street address of the location
    Example: "123 Hight Street"

  - `results.address.suburb` (string)
    The suburb of the location
    Example: "Melbourne"

  - `results.address.state` (string)
    The state of the location
    Example: "VIC"

  - `results.address.postcode` (string)
    The postcode of the location
    Example: "3000"

  - `results.address.country` (string)
    The country of the location
    Example: "Australia"


## Response 403 fields

## Response 404 fields
